> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/streaming-integration/apis/events-api/us-state-geo-restriction-examples.md).

# US State Geo-Restriction Examples

Similarly to country level restrictions, we also have the ability to geo-restrict across state boundaries in the US.

Below are some example scenarios that should help you to understand how these work on the IMG Arena Streaming Platform.

## Example 1: Event is allowed in the US, Licence for property is for the US

In this scenario, the event will be available to view in the whole of the USA. The Events API will not return any state-specific information, but the US will be returned as a whitelisted country.

For example, a Snooker event is whitelisted in the US and Canada, and the Operator has a license in the US.

#### Example events API response with restrictions=whitelist:

```javascript
  {
        "id": 141728,
        "title": "Ali Carter v Adam Stefanow",
        "tournament": {
            "id": 2665,
            "name": "Welsh Open 2020",
            "property": {
                "id": 63,
                "name": "World Snooker",
                "sport": {
                    "id": 14,
                    "name": "Snooker"
                }
            }
        },
        "restrictionRequest": "whitelist",
        "countryList": [
            "US"
        ],
        "updatedAt": "2020-02-10T20:37:08+0000",
        "startDate": "2020-02-10T20:00:00+0000",
        "endDate": "2020-02-11T03:00:00+0000"
    }
```

Calling the Streaming API from anywhere in the US will result in a successful response, with a playback URL returned.

The Events API response with restrictions=blacklist will return all other countries.

## Example 2: Event is allowed in certain US States, Licence for property is for the US

In this scenario, the event is only available in certain states for an Operator - despite having a license for the whole of the USA, this particular event is restricted to only certain states.

For example, an event is only available in New York, California and New Jersey, and the Operator has a license in the whole of the US.

#### Example events API response with restrictions=whitelist

```javascript
{
        "id": 141728,
        "title": "Ali Carter v Adam Stefanow",
        "tournament": {
            "id": 2665,
            "name": "Welsh Open 2020",
            "property": {
                "id": 63,
                "name": "World Snooker",
                "sport": {
                    "id": 14,
                    "name": "Snooker"
                }
            }
        },
        "restrictionRequest": "whitelist",
        "countryList": [],
        "updatedAt": "2020-02-10T20:37:08+0000",
        "startDate": "2020-02-10T20:00:00+0000",
        "endDate": "2020-02-11T03:00:00+0000"
    }
```

#### Example Events API response with subRestrictions=whitelist

```javascript
{
        "id": 141728,
        "title": "Ali Carter v Adam Stefanow",
        "tournament": {
            "id": 2665,
            "name": "Welsh Open 2020",
            "property": {
                "id": 63,
                "name": "World Snooker",
                "sport": {
                    "id": 14,
                    "name": "Snooker"
                }
            }
        },
        "restrictionRequest": "whitelist",
        "countryList": [],
        "subDivisionList": [
            "US-NY",
            "US-CA",
            "US-NJ"
        ],
        "updatedAt": "2020-02-10T20:37:08+0000",
        "startDate": "2020-02-10T20:00:00+0000",
        "endDate": "2020-02-11T03:00:00+0000"
    }
```

Calling the Streaming API from anywhere in the New York, California and New Jersey will result in a successful response, with a playback URL returned.

The example responses will return all other countries/US States when the above requests are made with the "blacklist" parameter.

{% hint style="info" %}
If there are any US State level restrictions - the US will not show up in the country white or blacklist - as the US is neither explicitly whitelisted or blacklisted.
{% endhint %}

## Example 3: Content allowed in certain US States and Countries, Licence for property is also allowed in certain US States and Countries

In this scenario, the event is available in certain states, but the Operator has a license for another set of US States.

For Example, An event is whitelisted in the US States of New York, California, New Jersey, Nevada, Florida, Nebraska, Kansas and Alabama. It is also whitelisted in France and the UK.

An Operator has a license for the property in California, New Jersey, Florida, Michigan and New Mexico. They also have a license for France.

In this scenario, an Operator will be able to view the event in the US States of California, New Jersey and Florida and France. This is because these States/Countries are the only States/Countries that the event is whitelisted **and** the Operator has a license.

#### Example events API response with restrictions=whitelist

```javascript
{
        "id": 141728,
        "title": "Ali Carter v Adam Stefanow",
        "tournament": {
            "id": 2665,
            "name": "Welsh Open 2020",
            "property": {
                "id": 63,
                "name": "World Snooker",
                "sport": {
                    "id": 14,
                    "name": "Snooker"
                }
            }
        },
        "restrictionRequest": "whitelist",
        "countryList": [
            "FR"
        ],
        "updatedAt": "2020-02-10T20:37:08+0000",
        "startDate": "2020-02-10T20:00:00+0000",
        "endDate": "2020-02-11T03:00:00+0000"
    }
```

#### Example Events API response with subRestrictions=whitelist

```javascript
{
        "id": 141728,
        "title": "Ali Carter v Adam Stefanow",
        "tournament": {
            "id": 2665,
            "name": "Welsh Open 2020",
            "property": {
                "id": 63,
                "name": "World Snooker",
                "sport": {
                    "id": 14,
                    "name": "Snooker"
                }
            }
        },
        "restrictionRequest": "whitelist",
        "countryList": [
            "FR"
        ],
        "subDivisionList": [
            "US-CA",
            "US-NY",
            "US-FL"
        ],
        "updatedAt": "2020-02-10T20:37:08+0000",
        "startDate": "2020-02-10T20:00:00+0000",
        "endDate": "2020-02-11T03:00:00+0000"
    }
```

Calling the Streaming API from anywhere in the California, New York, Florida or France will result in a successful response, with a playback URL returned.

The example responses will return all other countries/US States when the above requests are made with the "blacklist" parameter.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/streaming-integration/apis/events-api/us-state-geo-restriction-examples.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
